# #define SEQAN_TEMP_FILENAME
Generates the name to a temporary file.

Defined in | <seqan/basic.h>
Signature | `TCharType SEQAN_TEMP_FILENAME();`

## Return Values

`TCharType` | `char const *`, string with the path to a temporary file.

## Detailed Description

### Remarks

The pointed to string is stored in a buffer and is overwritten by the next call to this macro. Copy it out if you need it.

### Examples

    const char *p = SEQAN_TEMP_FILENAME();
    buffer char tempFilename[1000];
    strcpy(tempFilename, p);
    FILE *f = fopen(tempFilename, "w");
    fprintf(f, "Test Data");
    fclose(f);

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- SEQAN_PATH_TO_ROOT

#### Dox Sources

    /*!
     * @macro SEQAN_TEMP_FILENAME
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Generates the name to a temporary file.
     *
     * @signature TCharType SEQAN_TEMP_FILENAME();
     *
     * @return TCharType <tt>char const *</tt>, string with the path to a temporary
     *                   file.
     *
     * @section Remarks
     *
     * The pointed to string is stored in a buffer and is overwritten by the next
     * call to this macro. Copy it out if you need it.
     *
     * @section Examples
     *
     * @code{.cpp}
     * const char *p = SEQAN_TEMP_FILENAME();
     * buffer char tempFilename[1000];
     * strcpy(tempFilename, p);
     * FILE *f = fopen(tempFilename, "w");
     * fprintf(f, "Test Data");
     * fclose(f);
     * @endcode
     *
     *
     * @see SEQAN_PATH_TO_ROOT
     */